VDB-54535 · CVE-2010-2871 · BID 42664

Adobe Shockwave Player up to 8.0.195 numeric error

CVSS Meta Temp Score
CVSS is a standardized scoring system to determine possibilities of attacks. The Temp Score considers temporal factors like disclosure, exploit and countermeasures. The unique Meta Score calculates the average score of different sources to provide a normalized scoring system.
Current Exploit Price (≈)
Our analysts are monitoring exploit markets and are in contact with vulnerability brokers. The range indicates the observed or calculated exploit price to be seen on exploit markets. A good indicator to understand the monetary effort required for and the popularity of an attack.
CTI Interest Score
Our Cyber Threat Intelligence team is monitoring different web sites, mailing lists, exploit markets and social media networks. The CTI Interest Score identifies the interest of attackers and the security community for this specific vulnerability in real-time. A high score indicates an elevated risk to be targeted for this vulnerability.
9.5$0-$5k0.00

A vulnerability has been found in Adobe Shockwave Player up to 8.0.195 (Multimedia Player Software) and classified as very critical. Affected by this vulnerability is an unknown code block. The manipulation with an unknown input leads to a numeric error vulnerability. The CWE definition for the vulnerability is CWE-189. As an impact it is known to affect confidentiality, integrity, and availability. The summary by CVE is:

Integer overflow in the 3D object functionality in Adobe Shockwave Player before 11.5.8.612 allows remote attackers to cause a denial of service (heap memory corruption) or execute arbitrary code via a crafted size value in a 0xFFFFFF45 RIFF record in a Director movie.

The weakness was published 08/26/2010 (Website). It is possible to read the advisory at adobe.com. This vulnerability is known as CVE-2010-2871. The attack can be launched remotely. The exploitation doesn't need any form of authentication. The technical details are unknown and an exploit is not publicly available. The pricing for an exploit might be around USD $0-$5k at the moment (estimation calculated on 09/24/2021).

The vulnerability scanner Nessus provides a plugin with the ID 48436 (Shockwave Player < 11.5.8.612), which helps to determine the existence of the flaw in a target environment. It is assigned to the family Windows. The commercial vulnerability scanner Qualys is able to test this issue with plugin 118432 (Adobe Shockwave Player Remote Code Execution Vulnerabilities (APSB10-20)).

Upgrading to version 8.0.196 eliminates this vulnerability. Furthermore it is possible to detect and prevent this kind of attack with TippingPoint and the filter 10286.

The vulnerability is also documented in the vulnerability database at Tenable (48436).

Productinfo

Type

Vendor

Name

Version

License

Support

CPE 2.3info

CPE 2.2info

CVSSv4info

VulDB CVSS-B Score: 🔍
VulDB CVSS-BT Score: 🔍
VulDB Vector: 🔍
VulDB Reliability: 🔍

CVSSv3info

VulDB Meta Base Score: 10.0
VulDB Meta Temp Score: 9.5

VulDB Base Score: 10.0
VulDB Temp Score: 9.5
VulDB Vector: 🔍
VulDB Reliability: 🔍

CVSSv2info

AVACAuCIA
💳💳💳💳💳💳
💳💳💳💳💳💳
💳💳💳💳💳💳
VectorComplexityAuthenticationConfidentialityIntegrityAvailability
unlockunlockunlockunlockunlockunlock
unlockunlockunlockunlockunlockunlock
unlockunlockunlockunlockunlockunlock

VulDB Base Score: 🔍
VulDB Temp Score: 🔍
VulDB Reliability: 🔍

NVD Base Score: 🔍

Exploitinginfo

Class: Numeric error
CWE: CWE-189
CAPEC: 🔍
ATT&CK: 🔍

Local: No
Remote: Yes

Availability: 🔍
Status: Not defined

EPSS Score: 🔍
EPSS Percentile: 🔍

Price Prediction: 🔍
Current Price Estimation: 🔍

0-Dayunlockunlockunlockunlock
Todayunlockunlockunlockunlock

Nessus ID: 48436
Nessus Name: Shockwave Player < 11.5.8.612
Nessus File: 🔍
Nessus Risk: 🔍
Nessus Family: 🔍

OpenVAS ID: 902237
OpenVAS Name: Adobe Shockwave Player Multiple Vulnerabilities Aug-10
OpenVAS File: 🔍
OpenVAS Family: 🔍

Qualys ID: 🔍
Qualys Name: 🔍

Threat Intelligenceinfo

Interest: 🔍
Active Actors: 🔍
Active APT Groups: 🔍

Countermeasuresinfo

Recommended: Upgrade
Status: 🔍

0-Day Time: 🔍

Upgrade: Shockwave Player 8.0.196
TippingPoint: 🔍

McAfee IPS: 🔍
McAfee IPS Version: 🔍

PaloAlto IPS: 🔍

Timelineinfo

07/27/2010 🔍
08/24/2010 +28 days 🔍
08/26/2010 +2 days 🔍
08/26/2010 +0 days 🔍
08/30/2010 +4 days 🔍
03/19/2015 +1662 days 🔍
09/24/2021 +2381 days 🔍

Sourcesinfo

Vendor: adobe.com

Advisory: adobe.com
Status: Not defined
Confirmation: 🔍

CVE: CVE-2010-2871 (🔍)
OVAL: 🔍

Vulnerability Center: 26932 - [APSB10-20] Adobe Shockwave Player Remote Arbitrary Code Execution Vulnerability via a Crafted Size Value, Critical
SecurityFocus: 42664
Secunia: 41065

Entryinfo

Created: 03/19/2015 02:37 PM
Updated: 09/24/2021 03:28 AM
Changes: 03/19/2015 02:37 PM (61), 03/03/2017 09:45 AM (8), 09/24/2021 03:21 AM (3), 09/24/2021 03:28 AM (3)
Complete: 🔍
Cache ID: 34:2C4:40

Discussion

No comments yet. Languages: en.

Please log in to comment.

Interested in the pricing of exploits?

See the underground prices here!